CVE List

CVE-2019-1010259

Critical 9.8

SaltStack Salt 2018.3, 2019.2 is affected by: SQL Injection. The impact is: An attacker could escalate privileges on MySQL server deployed by cloud provider. It leads to RCE. The component is: The mysql.user_chpass function from the MySQL module for Salt (https://github.com/saltstack/salt/blob/develop/salt/modules/mysql.py#L1462). The attack vector is: specially crafted password string. The fixed version is: 2018.3.4.

Published July 18, 2019.

Affected software

Saltstack Salt 2018

Saltstack Salt 2019

Reference links

Sign Up for Alerts